Crystal Space: csEventQueue::iTypedFrameEventDispatcher Struct Reference (Crystal Space Public API Reference)

| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csEventQueue::iTypedFrameEventDispatcher Struct Reference

As a transitional measure, the csevPreProcess, csevProcess, csevPostProcess and csevFinalProcess events are actually sub-events dispatched by a csevFrame handler. More...

`#include <csutil/cseventq.h>`

Inheritance diagram for csEventQueue::iTypedFrameEventDispatcher:

[legend]
List of all members.

## Public Member Functions
virtual CS_EVENTHANDLER_DEFAULT_INSTANCE_CONSTRAINTS bool | HandleEvent (iEvent &)
| This is the basic event handling function.
| iTypedFrameEventDispatcher ()
virtual | ~iTypedFrameEventDispatcher ()
## Protected Attributes
csWeakRef< csEventQueue > | parent
csEventID | sendEvent

## Detailed Description

As a transitional measure, the csevPreProcess, csevProcess, csevPostProcess and csevFinalProcess events are actually sub-events dispatched by a csevFrame handler.

Each of the TypedFrameEventDispatcher child classes receives the csevFrame event in order and dispatches its name event. Event handlers should either subscribe to these events or subscribe to csevFrame. They may wish to use these event handlers as "milestones" relative to which they define their own order (e.g., "I can process the Frame event at any time between the handling of the Process event and the handling of the FinalProcess event").

Definition at line 247 of file cseventq.h.

## Member Function Documentation

virtual CS_EVENTHANDLER_DEFAULT_INSTANCE_CONSTRAINTS bool csEventQueue::iTypedFrameEventDispatcher::HandleEvent | ( | iEvent & |  | ) | `[inline, virtual]`

This is the basic event handling function.

To receive events, a component must implement iEventHandler and register with an event queue using iEventQueue::RegisterListener() and iEventQueue::Subscribe(). The event handler should return true if the event was handled. Returning true prevents the event from being passed along to other event handlers (unless the event's Broadcast flag has been set, in which case it is sent to all subscribers regardless of the return value). If the event was not handled, then false should be returned, in which case other event handlers are given a shot at the event. Do not return true unless you really handled the event and want event dispatch to stop at your handler.

Implements iEventHandler.

Definition at line 260 of file cseventq.h.

The documentation for this struct was generated from the following file:

- csutil/cseventq.h